# Uses of Class
org.apache.zookeeper.proto.ConnectResponse

Packages that use ConnectResponse
Package
Description
org.apache.zookeeper.compat
org.apache.zookeeper.proto

## Uses of ConnectResponse in org.apache.zookeeper.compat

Methods in org.apache.zookeeper.compat that return ConnectResponse
Modifier and Type
Method
Description
`ConnectResponse`
ProtocolManager.`deserializeConnectResponse(InputArchive inputArchive)`
Deserializing `ConnectResponse` should be specially handled for response from server version before and including ZooKeeper 3.3 which doesn't understand readOnly field.
Methods in org.apache.zookeeper.compat with parameters of type ConnectResponse
Modifier and Type
Method
Description
`void`
ProtocolManager.`serializeConnectResponse(ConnectResponse response, OutputArchive outputArchive)`
The serialization of `ConnectResponse` has to be handled specially as clients earlier than 3.5 might not expect the `readOnly` flag.

## Uses of ConnectResponse in org.apache.zookeeper.proto

Methods in org.apache.zookeeper.proto with parameters of type ConnectResponse
Modifier and Type
Method
Description
`void`
ConnectResponse.`copyFrom(ConnectResponse from)`